Antiprism 0.23

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# geom_v Class Reference

Geometry that holds the elements by value. More...

`#include <geom.h>`

Inheritance diagram for geom_v:
[legend]
Collaboration diagram for geom_v:
[legend]

List of all members.

## Public Member Functions
| geom_v ()
| Constructor.
| geom_v (const geom_if &geom)
| Constructor.
virtual const vector< vec3d > & | verts () const
| Read access to the vertices.
virtual vector< vec3d > & | raw_verts ()
| Read/Write access to the vertices.
virtual const vec3d & | verts (int v_idx) const
| Read access to a vertex.
virtual const vector< vector < int > > & | edges () const
| Read access to the edges.
virtual vector< vector< int > > & | raw_edges ()
| Read/Write access to the edges.
virtual const vector< int > & | edges (int e_idx) const
| Read access to an edge.
virtual int | edges (int e_idx, int v_no) const
| Get the index number of a vertex of an edge.
virtual const vector< vector < int > > & | faces () const
| Read access to the faces.
virtual vector< vector< int > > & | raw_faces ()
| Read/Write access to the faces.
virtual const vector< int > & | faces (int f_idx) const
| Read access to a face.
virtual int | faces (int f_idx, int v_no) const
| Get the index number of a vertex of a face.

## Detailed Description

Geometry that holds the elements by value.

## Constructor & Destructor Documentation

geom_v::geom_v | ( | const geom_if & | geom | ) | `[inline]`

Constructor.

Initialise from another geometry that implements `geom_if`

## Member Function Documentation

const vector< vector< int > > & geom_v::edges | ( |  | ) | const`[inline, virtual]`

Read access to the edges.

Returns:
  A reference to the edge data.

Implements geom_if.

const vector< int > & geom_v::edges | ( | int | e_idx | ) | const`[inline, virtual]`

Read access to an edge.

Parameters:

  e_idx | index number of the edge.

Returns:
  A reference to the edge data.

Implements geom_if.

int geom_v::edges | ( | int | e_idx,
|  | int | v_no
| ) |  | const`[inline, virtual]`

Get the index number of a vertex of an edge.

Parameters:

  e_idx | edge index number.
  v_no | the position the vertex appears in the edge, `0` or `1`

Returns:
  The vertex index number.

Implements geom_if.

const vector< vector< int > > & geom_v::faces | ( |  | ) | const`[inline, virtual]`

Read access to the faces.

Returns:
  A reference to the face data.

Implements geom_if.

const vector< int > & geom_v::faces | ( | int | f_idx | ) | const`[inline, virtual]`

Read access to a face.

Parameters:

  f_idx | index number of the face.

Returns:
  A reference to the face data.

Implements geom_if.

int geom_v::faces | ( | int | f_idx,
|  | int | v_no
| ) |  | const`[inline, virtual]`

Get the index number of a vertex of a face.

Parameters:

  f_idx | face index number.
  v_no | the position the vertex appears in the face, `0`, `1`, `2`, ...

Returns:
  The vertex index number.

Implements geom_if.

vector< vector< int > > & geom_v::raw_edges | ( |  | ) | `[inline, virtual]`

Read/Write access to the edges.

Returns:
  A reference to the edge data.

Implements geom_if.

vector< vector< int > > & geom_v::raw_faces | ( |  | ) | `[inline, virtual]`

Read/Write access to the faces.

Returns:
  A reference to the face data.

Implements geom_if.

vector< vec3d > & geom_v::raw_verts | ( |  | ) | `[inline, virtual]`

Read/Write access to the vertices.

Returns:
  A reference to vertex coordinates.

Implements geom_if.

const vector< vec3d > & geom_v::verts | ( |  | ) | const`[inline, virtual]`

Read access to the vertices.

Returns:
  A reference to vertex coordinates.

Implements geom_if.

const vec3d & geom_v::verts | ( | int | v_idx | ) | const`[inline, virtual]`

Read access to a vertex.

Parameters:

  v_idx | index number of the vertex.

Returns:
  A reference to the vertex coordinates.

Implements geom_if.

The documentation for this class was generated from the following file:

- base/geom.h